%global gem_name kramdown
%bcond_with tests

Summary:       Fast, pure-Ruby Markdown-superset converter
Name:          rubygem-%{gem_name}
Version:       2.3.2
Release:       4%{?dist}
License:       MIT
URL:           http://kramdown.gettalong.org
Source0:       https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildRequires: ruby(release) rubygems-devel rubygem(minitest) rubygem(rexml)

%if %{with tests}
BuildRequires: rubygem(rouge) rubygem(test-unit)
BuildRequires: rubygem(stringex) tidy tex tex(acronym.sty) tex(amssymb.sty)
BuildRequires: tex(amsmath.sty) tex(amsthm.sty) tex(amsfonts.sty) tex(utf8x.def) tex-ec
%endif
Requires:      ruby(release) ruby(rubygems)
BuildArch: noarch

Provides:    rubygem(%{gem_name}) = %{version}-%{release}

%description
kramdown is yet-another-markdown-parser but fast, pure Ruby, using a strict syntax definition and
supporting several common extensions.

%prep
%autosetup -n %{gem_name}-%{version}
mv ../%{gem_name}-%{version}.gemspec .

%build
gem build %{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}%{gem_instdir}/man/man1/kramdown.1 %{buildroot}%{_mandir}/man1

rm -rf  %{buildroot}%{gem_instdir}/test/

%check
%if %{with tests}
LANG=C.UTF-8
pushd .%{gem_instdir}
export RUBYLIB=$(pwd)/lib
ruby -e 'Dir.glob "./test/test_*.rb", &method(:require)'
popd
%endif

%files
%license %{gem_instdir}/COPYING
%dir %{gem_instdir}
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/CONTRIBUTERS
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/VERSION
%doc %{gem_docdir}
%{_bindir}/kramdown
%{gem_instdir}/bin
%{gem_libdir}/
%{gem_instdir}/data/
%{gem_cache}
%{gem_spec}
%{_mandir}/man1/kramdown.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Shuo Wang <abushwang@tencent.com> - 2.3.2-1
- initial build
